List alert items across all alerts with filtering and pagination
curl --request POST \
--url https://api.artu.ai/alert-items/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": true,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
}
},
"sort": [
{}
],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": true
}
'import requests
url = "https://api.artu.ai/alert-items/list"
payload = {
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": True,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} }
},
"sort": [{}],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
alertId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transactionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hasErrors: true,
clientNames: '<string>',
transactionAmount: 123,
transactionCurrency: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
alertDescription: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
}
},
sort: [{}],
cursor: '<string>',
offset: 4503599627370495,
limit: 20,
includeTotalCount: true
})
};
fetch('https://api.artu.ai/alert-items/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alert-items/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'alertId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'transactionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hasErrors' => true,
'clientNames' => '<string>',
'transactionAmount' => 123,
'transactionCurrency' => '<string>',
'transactionDate' => '2023-11-07T05:31:56Z',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'alertDescription' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
]
],
'sort' => [
[
]
],
'cursor' => '<string>',
'offset' => 4503599627370495,
'limit' => 20,
'includeTotalCount' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alert-items/list"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/alert-items/list")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alert-items/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "base",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"amendment": {
"originalReference": "<string>",
"reason": "<string>"
},
"ARI": {
"alertType": "100"
},
"AVI": {
"alertType": "100"
},
"INM": {
"alertType": "100"
},
"JYS": {
"alertType": "100"
},
"MJR": {
"alertType": "100"
},
"MPC": {
"alertType": "100"
},
"TSC": {
"alertType": "100"
},
"VEH": {
"alertType": "100"
}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
},
"clientNames": [
"<string>"
],
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "<string>",
"validationErrors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>",
"severity": "error",
"resource": "alert",
"resourceId": "<string>",
"label": "<string>",
"sdkField": "<string>",
"parentClientId": "<string>"
}
]
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Alert Items
List alert items across all alerts with filtering and pagination
POST
/
alert-items
/
list
List alert items across all alerts with filtering and pagination
curl --request POST \
--url https://api.artu.ai/alert-items/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": true,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": {
"TRANSMISOR": {}
}
}
}
},
"sort": [
{}
],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": true
}
'import requests
url = "https://api.artu.ai/alert-items/list"
payload = {
"filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hasErrors": True,
"clientNames": "<string>",
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadataFilters": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopeData": { "MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"ARI": {},
"AVI": {},
"INM": {},
"JYS": {},
"MJR": {},
"MPC": {},
"TSC": {},
"VEH": {}
},
"cnbv": { "TRANSMISOR": {} }
} }
},
"sort": [{}],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
alertId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
transactionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
hasErrors: true,
clientNames: '<string>',
transactionAmount: 123,
transactionCurrency: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z',
metadataFilters: [{key: '<string>', value: '<string>'}],
scopeData: {
MX: {
actividadVulnerable: {
alertDescription: '<string>',
ARI: {},
AVI: {},
INM: {},
JYS: {},
MJR: {},
MPC: {},
TSC: {},
VEH: {}
},
cnbv: {TRANSMISOR: {}}
}
}
},
sort: [{}],
cursor: '<string>',
offset: 4503599627370495,
limit: 20,
includeTotalCount: true
})
};
fetch('https://api.artu.ai/alert-items/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/alert-items/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'alertId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'clientId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'transactionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'hasErrors' => true,
'clientNames' => '<string>',
'transactionAmount' => 123,
'transactionCurrency' => '<string>',
'transactionDate' => '2023-11-07T05:31:56Z',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z',
'metadataFilters' => [
[
'key' => '<string>',
'value' => '<string>'
]
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'alertDescription' => '<string>',
'ARI' => [
],
'AVI' => [
],
'INM' => [
],
'JYS' => [
],
'MJR' => [
],
'MPC' => [
],
'TSC' => [
],
'VEH' => [
]
],
'cnbv' => [
'TRANSMISOR' => [
]
]
]
]
],
'sort' => [
[
]
],
'cursor' => '<string>',
'offset' => 4503599627370495,
'limit' => 20,
'includeTotalCount' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/alert-items/list"
payload := strings.NewReader("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/alert-items/list")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/alert-items/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"alertId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"clientId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"transactionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"hasErrors\": true,\n \"clientNames\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionCurrency\": \"<string>\",\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"metadataFilters\": [\n {\n \"key\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"alertDescription\": \"<string>\",\n \"ARI\": {},\n \"AVI\": {},\n \"INM\": {},\n \"JYS\": {},\n \"MJR\": {},\n \"MPC\": {},\n \"TSC\": {},\n \"VEH\": {}\n },\n \"cnbv\": {\n \"TRANSMISOR\": {}\n }\n }\n }\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alertId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "base",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"alertDescription": "<string>",
"amendment": {
"originalReference": "<string>",
"reason": "<string>"
},
"ARI": {
"alertType": "100"
},
"AVI": {
"alertType": "100"
},
"INM": {
"alertType": "100"
},
"JYS": {
"alertType": "100"
},
"MJR": {
"alertType": "100"
},
"MPC": {
"alertType": "100"
},
"TSC": {
"alertType": "100"
},
"VEH": {
"alertType": "100"
}
},
"cnbv": {
"TRANSMISOR": {
"fechaDeteccion": "2023-11-07T05:31:56Z",
"descripcionOperacion": "<string>",
"razones": "<string>"
}
}
},
"US": "<unknown>"
},
"clientNames": [
"<string>"
],
"transactionAmount": 123,
"transactionCurrency": "<string>",
"transactionDate": "<string>",
"validationErrors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>",
"severity": "error",
"resource": "alert",
"resourceId": "<string>",
"label": "<string>",
"sdkField": "<string>",
"parentClientId": "<string>"
}
]
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
Was this page helpful?
